##### windows::object_handle::object_handle (1 of 3 overloads)

Construct an `windows::object_handle` without opening it.

    object_handle(
        asio::io_context & io_context);

This constructor creates an object handle without opening it.

###### Parameters

io_context

  The `io_context` object that the object handle will use to dispatch handlers for any asynchronous operations performed on the handle.